Android

Компания Google выпустила обновление прошивки для устройств Nexus, в котором устранено несколько критических уязвимостей в драйверах для беспроводных чипов Broadcom и Qualcomm.

Проблемы в драйвере Broadcom (CVE-2016-0801, CVE-2016-0802) позволяют удалённому злоумышленнику, имеющему доступ к Wi-Fi сети, организовать выполнение кода на подключенном к данной сети уязвимом устройстве. Уязвимость эксплуатируется через отправку специально оформленного управляющего пакета, при обработке которого происходит выход за границы буфера, что может быть использовано для организации выполнения кода на уровне ядра.

Уязвимость в драйвере Qualcomm (CVE-2016-0806) даёт возможность локальному атакующему выполнить код с правами ядра. Кроме того, две опасные локальных уязвимости (CVE-2016-0807, CVE-2016-0805), позволяющие повысить свои привилегии в системе, устранены в отладочном процессе (Debugger Daemon) и модуле контроля за производительностью ARM-процессоров Qualcomm (Qualcomm Performance Module).

В обновлении также устранена критическая уязвимость в медиасервере (CVE-2016-0803, CVE-2016-0804), позволяющая организовать выполнение кода с правами процесса mediaserver при обработке специально оформленного контента. Например, уязвимость может быть эксплуатирована при открытии непроверенных мультимедийных данных в браузере или при воспроизведении MMS-сообщения. В дальнейшем, атакующие могут воспользоваться локальными уязвимостями в драйверах для получения полного контроля за системой.

Неприятная проблема устранена в библиотеке Minikin (CVE-2016-0808): при установке непроверенного шрифта уязвимость приводит к краху и перезагрузке, что может быть использовано для блокирования доступа к устройству из-за вхождения в бесконечный цикл перезагрузок.

В публичный репозиторий AOSP (Android Open Source Project) исправления будут внесены в ближайшие несколько дней. Производители устройств на базе платформы Android были уведомлены о наличии проблем 4 января. Исправления для устройств Nexus выпущены для прошивок с Android 4.4.4, 5.0, 5.1.1, 6.0 и 6.0.1. Информация о проблеме с драйвером Broadcom была отправлена производителю 25 октября. Информация о возможной подверженности проблемам других систем на базе ядра Linux пока отсутствует.

 

 Оставить комментарий

(обязательно)

(обязательно)

   
Copyright © 2012. Linuxguru.ru